Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 683494 - sys-apps/man - makewhatis emits warnings with sys-apps/gawk-5.0.0: regexp escape sequence `\"' is not a known regexp operator
Summary: sys-apps/man - makewhatis emits warnings with sys-apps/gawk-5.0.0: regexp esc...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-16 17:59 UTC by Matt Whitlock
Modified: 2020-03-07 21:59 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Whitlock 2019-04-16 17:59:29 UTC
Since upgrading to sys-apps/gawk-5.0.0, the makewhatis cron script in /etc/cron.daily now emits warnings (12 of them for me) of the following form:

awk: cmd. line:130: warning: regexp escape sequence `\"' is not a known regexp operator

Since these are emitted from a cronjob, they get emailed to me. Presumably they will be emailed to me every day henceforth until this is fixed.

The error appears to be at line 363 of /usr/sbin/makewhatis:

                    sub(/\\\".*/, "");        # Trim pending comments

My semi-educated guess would be that the backslash before the double-quote character in the regular expression should be removed, as it is superfluous. Evidently the new version of Gawk warns about the unneeded backslash.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2019-04-16 18:23:43 UTC
Unfortunately, sys-apps/man upstream appears to be dead.

I suggest to switch over to sys-apps/man-db because at the current state it's quite likely that we will treeclean sys-apps/man
Comment 2 David Klann 2019-05-13 14:18:02 UTC
I was also experiencing the daily awk(1) email from makewhatis(1) in sys-apps/man.

Per suggestion from Polynomial-C, I simply did `emerge --verbose --ask sys-apps/man-db`. The emerge unmerged sys-apps/man and merged sys-apps/man-db.

I expect this solved the issue for me.
Comment 3 Zentoo 2019-06-07 07:55:43 UTC
(In reply to Matt Whitlock from comment #0)
>
>                     sub(/\\\".*/, "");        # Trim pending comments
> 
> My semi-educated guess would be that the backslash before the double-quote
> character in the regular expression should be removed, as it is superfluous.
> Evidently the new version of Gawk warns about the unneeded backslash.

I confirm that removing the backslash before the double-quote
character in the regular expression at line 363 of makewhatis script solve the problem.
So a simple patch with a condition relative to >=sys-apps/gawk-5.0.0 can fix it.
Comment 4 Larry the Git Cow gentoo-dev 2020-03-07 21:59:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce370f012e25ad2eb756cbcaf768bf053161d067

commit ce370f012e25ad2eb756cbcaf768bf053161d067
Author:     Mike Gilbert <floppym@gentoo.org>
AuthorDate: 2020-03-07 21:54:44 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-03-07 21:59:07 +0000

    sys-apps/man: remove package
    
    Closes: https://bugs.gentoo.org/468428
    Closes: https://bugs.gentoo.org/515534
    Closes: https://bugs.gentoo.org/524588
    Closes: https://bugs.gentoo.org/589738
    Closes: https://bugs.gentoo.org/605352
    Closes: https://bugs.gentoo.org/651038
    Closes: https://bugs.gentoo.org/683494
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 profiles/package.mask                              |   6 -
 sys-apps/man/Manifest                              |   1 -
 sys-apps/man/files/makewhatis.cron                 |   5 -
 sys-apps/man/files/man-1.5m2-apropos.patch         |  16 ---
 sys-apps/man/files/man-1.6-cross-compile.patch     |  61 ----------
 .../files/man-1.6c-cut-duplicate-manpaths.patch    |  83 -------------
 sys-apps/man/files/man-1.6e-headers.patch          |  13 --
 .../man-1.6f-makewhatis-compression-cleanup.patch  |  69 -----------
 .../files/man-1.6f-man2html-compression-2.patch    |  61 ----------
 sys-apps/man/files/man-1.6f-parallel-build.patch   |  78 ------------
 sys-apps/man/files/man-1.6f-so-search-2.patch      |  34 ------
 sys-apps/man/files/man-1.6f-unicode.patch          |  28 -----
 sys-apps/man/files/man-1.6g-compress.patch         |  17 ---
 sys-apps/man/files/man-1.6g-echo-escape.patch      |  15 ---
 sys-apps/man/files/man-1.6g-fbsd.patch             |  15 ---
 sys-apps/man/files/man-1.6g-xz.patch               |  53 ---------
 sys-apps/man/man-1.6g-r1.ebuild                    | 131 ---------------------
 sys-apps/man/metadata.xml                          |   8 --
 18 files changed, 694 deletions(-)